/**Begin D:\PDM_UPGRADE\PDM1\HBSS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FBSED') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FBSED DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FBSLED') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FBSLED DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FCHANGEDESCRIPTION') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FBOID') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FISCURRENTVERSION') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FISCURRENTVERSION VARCHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FDATASTATUS') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FSOURCEVID') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FSOURCEVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FFIRSTBSED') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FFIRSTBSED DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FCHANGEBSED') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FCHANGEBSED DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FISMODIFY') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FISMODIFY VARCHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FBRED') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FBRED DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FBRLED') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FBRLED DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FBRFD') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FBRFD DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HBSS_COLLEGE' AND KSQL_COL_NAME ='FHISVERSION') 
 ALTER TABLE T_HBSS_COLLEGE ADD (FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\HBSS_table.sql **/
